import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询动态/评论/留言错误表列表
export function listOpmArticleCommentMessageError(query) {
  return request({
    url: '/opmArticleCommentMessageError/list',
    method: 'get',
    params: query
  })
}

// 2. 查询动态/评论/留言错误表详细信息
export function getOpmArticleCommentMessageError(businessId) {
  return request({
    url: '/opmArticleCommentMessageError/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增动态/评论/留言错误表
export function addOpmArticleCommentMessageError(data) {
  data = Qs.stringify(data)
  return request({
    url: '/opmArticleCommentMessageError/add',
    method: 'post',
    data: data
  })
}

// 4. 修改动态/评论/留言错误表
export function updateOpmArticleCommentMessageError(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/opmArticleCommentMessageError/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除动态/评论/留言错误表
export function delOpmArticleCommentMessageError(businessId) {
  return request({
    url: '/opmArticleCommentMessageError/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出动态/评论/留言错误表
export function exportOpmArticleCommentMessageError(query) {
  return request({
    url: '/opmArticleCommentMessageError/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
